Bug 180475 - USB stops working on Asus P5ND2-SLI Deluxe motherboard
USB stops working on Asus P5ND2-SLI Deluxe motherboard
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
MassClosed
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-08 08:53 EST by Carl-Johan Kjellander
Modified: 2010-12-05 02:18 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:18:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output before and after USB stops working (68.82 KB, text/plain)
2006-02-15 10:09 EST, Carl-Johan Kjellander
no flags Details

  None (edit)
Description Carl-Johan Kjellander 2006-02-08 08:53:45 EST
Description of problem:
The USB subsystem and some but not all USB devices stop working
after a while on several kernels on an Asus P5ND2-SLI Deluxe
motherboard. 

Version-Release number of selected component (if applicable):
kernel-smp-2.6.14-1.1644_FC4
kernel-smp-2.6.14-1.1653_FC4
kernel-smp-2.6.14-1.1654_FC4
kernel-smp-2.6.14-1.1656_FC4
kernel-smp-2.6.15-1.1824_FC4
kernel-smp-2.6.15-1.1831_FC4

How reproducible:
The bug occurs during high disk load when the cron.daily jobs
are running, usually exactly 7 s into the running of the cronjobs.

When we set the cron.daily jobs to run every 4 minutes we can
reproduce the bug within 16 minutes or so.

Steps to Reproduce:
1. run cron.daily a couple of times on an Asus P5ND2-SLI Deluxe motherboard.
2. Try to open ttyUSB0 on an attached Prolific PL2303 USB to serial adaptor
   or use libUSB to use a Dallas Semiconductor 1-Wire ibutton.
3. on 2.6.14 kernels also try to open /proc/bus/usb/devices
  
Actual results:
Open on the USB->serial converter, the ibutton or /proc/bus/usb/devices
hangs. New USB-devices don't get registered. Some low speed devices like
USB-keyboard and lilliput touchscreen using 'touchkitusb' continue to work.

Additional info:
There is no info in the logs on the hang of the USB system.

On 2.6.14 /proc/bus/usb/devices hangs when you try to cat it, but not on
2.6.15 kernels.
Comment 1 Pete Zaitcev 2006-02-08 14:20:09 EST
I'd like to see two dmesgs, from working and non-working kernels.
Please do not drop into the comments box, but attach instead.
Comment 2 Carl-Johan Kjellander 2006-02-15 10:09:54 EST
Created attachment 124685 [details]
dmesg output before and after USB stops working

There is no difference at all between before and after USB stops
working so I'm only attaching one.
Comment 3 Dave Jones 2006-09-16 22:30:37 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 4 Dave Jones 2006-10-16 14:41:58 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Carl-Johan Kjellander 2007-05-31 17:39:21 EDT
I've reinstalled the last FC7test before FC7 going gold and there
are still issues with USB. The USB mouse stops working after a
couple of minutes.

Maybe it's the motherboard, but we have tried it on several
ones of the same kind (we have 12) and the same thing happens on
all machines.
Comment 6 Jon Stanley 2008-01-19 23:40:21 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.
Comment 7 Carl-Johan Kjellander 2008-12-07 05:57:28 EST
This bug is still here. Same motherboard type, we have several of them
lying around, but new installation.

We've tried installing F9 i386 and now lately F10 x86_64 and always with
the same result. The machine boots, now with the very nice plymoth solar,
it starts gdm.

The USB mouse works fine, for a while, 10-15 seconds, after that it just
freezes and you have to use a PS/2 mouse instead. The USB-keyboard works
fine, it's just the mouse that freezes.

We have tested Fedora versions from FC4, FC6, F7, F8, F9 and F10 and all
of them have the same problem. And no strange messages in dmesg either.
The mouse just stops after 10-15 seconds of X11-use.

I'd be happy to try any suggestions cause it's a longstanding bug that
have forced us to dump 10 motherboards.

The same machine as I'm testing on now, running F10 x86_64 dual boots
with WinXP 32bit, and the mouse works fine there, for weeks.

What info do you need to try to pinpoint this down?
Comment 8 Carl-Johan Kjellander 2008-12-07 09:36:20 EST
I can reproduce this 100% now in F10 x86_64.

The USB-mouse works fine in gdm, tested it for
20 minutes. But when you log in, as soon as the
Nautilus icons start showing the USB-mouse stops
working. Does it do something with dbus or hal
at that point in the login?

And during heavy disk load the USB-keyboard stops
working.

Seems almost all problems on this board are
related to the USB. But the wierd part is that it
never shows anything in dmesg.

Would you guys want dmesg and lspci output?
Comment 9 Bug Zapper 2009-11-18 02:52:10 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 00:51:22 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Carl-Johan Kjellander 2010-03-20 11:32:37 EDT
This is still an issue on the same motherboards on F12. About 30
seconds after logging in the USB mouse stops responding, the USB
keyboard still works though.

We haven't ever been able to use a USB mouse on these boards
since we bought them around when FC4 was new. And the worst part
is that it works for around 30 seconds after a reboot, so we know
that it is doing something right.

And it works flawless in windows so it is not hardware.
Comment 12 Vedran Miletić 2010-03-21 13:42:36 EDT
Changing version per comment #11.
Comment 13 Bug Zapper 2010-11-04 08:17:28 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Ty 2010-11-09 16:30:59 EST
I have this same problem with F13 and now with the F14.  After a few minutes a usb mouse stops working, plugging a second into a different usb port allows the second mouse to work for a while (usually longer than the first) then it too stops, and can't get either to work, nor a third.  

This is a very frustrating problem indeed! Is there any hope of a fix?
Comment 15 Bug Zapper 2010-12-05 02:18:38 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.